%define _hardened_build 1
Name:		realmd
Version:	0.16.3
Release:	24
Summary:	AD integration detection
License:	LGPLv2+
URL:		https://cgit.freedesktop.org/realmd/realmd/
Source0:	https://www.freedesktop.org/software/realmd/releases/realmd-%{version}.tar.gz

Patch1:		0001-tests-run-tests-with-python3.patch
Patch2:		0001-tests-ignore-order-in-test_update_domain.patch	
Patch3:		0001-Remove-support-for-deprecated-gtester-format.patch
Patch4:		backport-Fix-for-ini-config-test-issue.patch

Patch9000:      fix-build-bug-with-distro-of-openeuler.patch

BuildRequires:	gcc automake autoconf intltool pkgconfig gettext-devel glib2-devel >= 2.32.0
BuildRequires:  openldap-devel polkit-devel krb5-devel systemd-devel libxslt xmlto python3 git
Requires:	authselect polkit

%description
realmd is a dbus system service that manages discovery and enrollment in
realms/domains like Active Directory or IPA.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 -S git

%build
autoreconf -fi
%configure --disable-silent-rules
make %{?_smp_mflags}


%install
%make_install

%check
make check

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.realmd.conf
%{_prefix}/lib/realmd/*
%{_sbindir}/realm
%{_unitdir}/realmd.service
%{_localstatedir}/cache/realmd/
%{_datadir}/polkit-1/actions/org.freedesktop.realmd.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.realmd.service
%{_datadir}/locale/*

%files help
%defattr(-,root,root)
%doc ChangeLog NEWS README
%doc %{_datadir}/doc/realmd/
%exclude %{_datadir}/doc/realmd/AUTHORS
%{_mandir}/man8/*
%{_mandir}/man5/*

%changelog
* Fri Jun 17 2022 Hugel <gengqihu1@h-partners.com> - 0.16.3-24
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:delete duplicate file AUTHORS from help

* Sun Feb 7 2021 lirui <lirui130@huawei.com> - 0.16.3-23
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix test timeout

* Wed Jul 24 2020 yu_boyun <yuboyun@huawei.com> - 0.16.3-22
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix build error with python3

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.16.3-21
- clean code

* Sun Dec 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.16.3-20
- Modify patch information

* Mon Oct 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.16.3-19
- Fix build bug with distro of openEuler

* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.16.3-18
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the location of COPYING

* Tue Sep 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.16.3-17
- Package init
